<!DOCTYPE html>
<html lang="en">

<head>
    <title>HTML Clock</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Titillium+Web&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>

<body>
    <div class="container mainDiv">
        <h1 id="headings">ANALOG CLOCK</h1>
        <canvas id="analog_clock" height="400" width="400"></canvas><br>
        <div id="digital_clock">DIGITAL CLOCK</div>
        <button type="button" class="btn btn-primary" id="switch">Digital Clock</button>
        <button type="button" class="btn btn-success" id="create_alarm" data-toggle="modal" data-target="#myModal">Create Alarm</button>

        <select name="format" id="format">
            <option value="12">12 Hour</option>
            <option value="24">24 Hour</option>
        </select>
        <audio id="alarm_sound">
            <source src="HansZimmerPOC.mp3" type="audio/mpeg">
            Your browser does not support the audio element.
        </audio>
        <div id="alarm_info">
            <p id="alarm_time"></p>
        </div>
    </div>
    <script type="text/javascript" src="clock.js"></script>
</body>

<!-- Modal -->
<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header mod-div">
                <h4 class="modal-title">Alarm</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <!-- Modal body -->
            <div class="modal-body mod-div">
                <input type="time" id="alarm" required="true" />
                <br><br>
                <button type="button" class="btn btn-outline-success" id="set_alarm">Set Alarm</button>
            </div>
            <!-- Modal footer -->
            <div class="modal-footer mod-div">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>

</html>